Cards, prop trading & accounting

Prop Trading Get Funding Status

Returns per-currency funding position (owed vs recorded deposits) for the caller's prop firm.

GEThttps://api.toku.com/hris/prop-trading-get-funding-status

Required scope: payments:read

curl --request GET \
  --url 'https://api.toku.com/hris/prop-trading-get-funding-status' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "byCurrency": [
    {
      "currencyCode": "string",
      "required": "string",
      "recorded": "string",
      "committed": "string",
      "paid": "string",
      "available": "string",
      "shortfall": "string",
      "pendingPayoutCount": 0
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Response

200Successful response
byCurrencyobject[]required
Show child attributes
currencyCodestringrequired
requiredstringrequired

Allowed: matches ^-?\d+(\.\d+)?(e[+-]?\d+)?$

recordedstringrequired

Allowed: matches ^-?\d+(\.\d+)?(e[+-]?\d+)?$

committedstringrequired

Allowed: matches ^-?\d+(\.\d+)?(e[+-]?\d+)?$

paidstringrequired

Allowed: matches ^-?\d+(\.\d+)?(e[+-]?\d+)?$

availablestringrequired

Allowed: matches ^-?\d+(\.\d+)?(e[+-]?\d+)?$

shortfallstringrequired

Allowed: matches ^-?\d+(\.\d+)?(e[+-]?\d+)?$

pendingPayoutCountintegerrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits